/* Communication Library */!!

inherit(ProvidedLibs, #CommLib, nil, 2, nil)!!

now(class(CommLib))!!

/* semiPRIVATE -- should only be called via require(CommLib)
   Define entry points and load library.  Define any structs required.
*/
Def provide(self, path)
{
  ^initialise( new(self:ancestor), path )
}
!!

now(CommLib)!!

/* 5/11/1992 12:19 - PUBLIC */
Def closeComServer(self | result)
{ 
  if pcallLock(self)
  then
    result := pcall( procs[#WSCOMCLOSE] );
    pcallUNLock(self);
    ^result
  else 
    ^ERR_PCALL_RECURSION
  endif ;
}
!!

/* PRIVATE */
Def addImportProcs(self)
{
  add( self, #WSCOMCLOSE, 0, nil );
}
!!